gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gnome.CanvasItem Widget canvas item

A canvas item for placing arbitrary objects onto a canvas.

- Constructor
  2.24.0.0
  To be added
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  The that this item belongs to.
  Creates a new Widget container
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.24.0.0
  GLib.Property("anchor")
  Gtk.AnchorType Anchor position for widget. anchor position for the widget
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  GLib.Property("height")
  System.Double Height of widget (units specified by property). the height of the widget
- Property
  2.24.0.0
  GLib.Property("size_pixels")
  System.Boolean Whether the widget size is specified in pixels or canvas units. whether the widget size is specified in pixels or canvas units.
- Property
  2.24.0.0
  GLib.Property("widget")
  Gtk.Widget The embedded widget the embedded widget
- Property
  2.24.0.0
  GLib.Property("width")
  System.Double Width of widget (units specified by property). the width of the widget
- Property
  2.24.0.0
  GLib.Property("x")
  System.Double X coordinate of anchor point. X coordinate of anchor point.
- Property
  2.24.0.0
  GLib.Property("y")
  System.Double Y coordinate of anchor point. Y coordinate of anchor point.